var MY_BASE_URL = 'http://andinstant.com/';
var DEV_BASE_URL='http://developer.android.com';

var init = function(){};
var LAST_RESULT='';
var toRoot = MY_BASE_URL + "/";
var AC_DATA = [];

$(document).ready(
	function(){
		/*
		createAutocompleteArray();

		
		$('#query').autocomplete({
    			source: AC_DATA,
			delay: 0,
			select: function(event, ui){
				$('#query').val(ui.item.value);
            			$('#query').trigger('keyup', {'keyCode':255});
        		}
		});
		*/
		
		$('#query').keyup(
                	runInstantSearch
        	);

		$('#query').bind(
			'webkitspeechchange',
			runInstantSearch
			
		);

		$(".placeholder").focus(function(srcc){
        		if ($(this).val() == $(this)[0].title)
        		{
            			$(this).removeClass("placeholderActive");
            			$(this).val("");
        		}
    		});
    
    		$(".placeholder").blur(function()
    		{
        		if ($(this).val() == "")
        		{
            		$(this).addClass("placeholderActive");
            		$(this).val($(this)[0].attr('placeholder'));
        	}
    		});
    
    		$(".placeholder").blur();    

	}
);

var createAutocompleteArray = function(){
	AC_DATA = [];
	for(var x=0; x< DATA.length; x++){
		AC_DATA.push(DATA[x].label);
	}
}

var instantSearch = function(fragment) {

	var filtered = [];
	var retItm = null;

	for(var x=0; x< DATA.length; x++){
		var chk = DATA[x].label.toLowerCase();
		if(chk.indexOf(fragment) > -1){
			filtered.push(DATA[x]);
			//return DATA[x];
		}
	}

	for(var y=0;y<filtered.length;y++){
		var f=filtered[y].label.toLowerCase();
		if(f.indexOf('.'+fragment) === (f.length - (fragment.length+1)) ){
			retItm = filtered[y];
			break;
		}
	}

	if(filtered.length>0 && retItm===null)
		retItm = filtered[0];

	$('#similaritems').html('');

	if(filtered.length>1){
		for(z=1;z<Math.min(filtered.length,5);z++){
			var itm = $('<li>' + filtered[z].label + '</li>');
			$('#similaritems').append(itm);
		}
	}

	return retItm;

}

var runInstantSearch = function(){
        var q = $('#query').val().toLowerCase().replace(/\s/g,'');
        if(q.length > -1){
            var result = instantSearch(q);
            var page = $('#page');
            if(result!==undefined && result!==null && result!==LAST_RESULT){
                    
                $.get(
                    MY_BASE_URL + '/docsearch.php?p=' + result.link, 
                    function(ret) {
                        var page=$('#page');
                        ret = ret.replace(/\<script.*?\>[\s\S]*?\<\/.*?script\>/gi,'');
                        page.html(ret);
                        page.fadeIn('fast');
                        page.find('a').each( function(i){
								
                            var me = $(this);
                            if(me.attr('href')){
                                if(me.attr('href').indexOf('#') !== 0 && me.attr('href').indexOf('/')===0){
                                    me.attr('href', DEV_BASE_URL + me.attr('href'));
                                }
                            }
								

                        });
                    }
                );
            }else if(result===undefined || result===null || result===''){
                page.fadeOut('fast', function(){$('#page').html('')} );
            }

            LAST_RESULT = result;

        }
    }
		

var  toggleAllInherited = function(linkObj, expand) {
  var a = $(linkObj);
  var table = $(a.parent().parent().parent()); // ugly way to get table/tbody
  var expandos = $(".jd-expando-trigger", table);
  if ( (expand == null && a.text() == "[Expand]") || expand ) {
    expandos.each(function(i) {
      toggleInherited(this, true);
    });
    a.text("[Collapse]");
  } else if ( (expand == null && a.text() == "[Collapse]") || (expand == false) ) {
    expandos.each(function(i) {
      toggleInherited(this, false);
    });
    a.text("[Expand]");
  }
  return false;
}

var toggleInherited = function(linkObj, expand) {
    var base = linkObj.getAttribute("id");
    var list = document.getElementById(base + "-list");
    var summary = document.getElementById(base + "-summary");
    var trigger = document.getElementById(base + "-trigger");
    var a = $(linkObj);
    if ( (expand == null && a.hasClass("closed")) || expand ) {
        list.style.display = "none";
        summary.style.display = "block";
        trigger.src = toRoot + "assets/images/triangle-opened.png";
        a.removeClass("closed");
        a.addClass("opened");
    } else if ( (expand == null && a.hasClass("opened")) || (expand == false) ) {
        list.style.display = "block";
        summary.style.display = "none";
        trigger.src = toRoot + "assets/images/triangle-closed.png";
        a.removeClass("opened");
        a.addClass("closed");
    }
    return false;
}
